﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class BusinessObjects : NotificationObject
    {

        private string _ename;
        public string EmployeeName
        {
            get
            {
                return _ename;
            }
            set
            {
                _ename = value;
                RaisePropertyChanged("EmployeeName");
            }
        }

        private int _indexValue = -1;

        public int IndexValue
        {
            get
            {
                return _indexValue;
            }
            set
            {
                _indexValue = value;
                RaisePropertyChanged("IndexValue");
            }
        }
        private int salary;

        public int Salary
        {
            get { return salary; }
            set { salary = value; RaisePropertyChanged("Salary"); }
        }

        private bool isChecked;

        public bool IsChecked
        {
            get { return isChecked; }
            set { isChecked = value; RaisePropertyChanged("IsChecked"); }
        }

        private string _earea;
        public string EmployeeArea
        {
            get
            {
                return _earea;
            }
            set
            {
                _earea = value;
                RaisePropertyChanged("EmployeeArea");
            }
        }

        private string _egender;
        public string EmployeeGender
        {
            get
            {
                return _egender;
            }
            set
            {
                _egender = value;
                RaisePropertyChanged("EmployeeGender");
            }
        }

        private double _eid;
        public double EmployeeID
        {
            get
            {
                return _eid;
            }
            set
            {
                _eid = value;
                RaisePropertyChanged("EmployeeID");
            }
        }

        private DateTime? joiningDate;
        public DateTime? JoiningDate
        {
            get
            {
                return joiningDate;
            }
            set
            {
                joiningDate = value;
                RaisePropertyChanged("JoiningDate");
            }
        }
    }
}
